"use strict";

exports.__esModule = true;
exports.MultipleTabsChecker = MultipleTabsChecker;
var _react = _interopRequireWildcard(require("react"));
var _material = require("@mui/material");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function MultipleTabsChecker(_ref) {
  var children = _ref.children;
  // Set dialogOpen to false initially if no tabs are open
  var _useState = (0, _react.useState)(Boolean(localStorage.getItem('tabsOpen'))),
    dialogOpen = _useState[0],
    setDialogOpen = _useState[1];
  (0, _react.useEffect)(function () {
    var tabsOpen = Boolean(localStorage.getItem('tabsOpen'));
    setDialogOpen(tabsOpen);
    if (!tabsOpen) {
      // Set tabOpens true if no other tabs are open
      localStorage.setItem('tabsOpen', true);

      // On closing of window set tabsOpen to false
      window.onunload = function () {
        localStorage.removeItem('tabsOpen');
      };
    }
  }, []);
  var handleForceReload = (0, _react.useCallback)(function () {
    localStorage.removeItem('tabsOpen');
    window.location.reload();
  }, []);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_material.Dialog, {
    open: dialogOpen,
    "aria-labelledby": "multiple-tabs-alert"
  }, /*#__PURE__*/_react["default"].createElement(_material.DialogContent, null, /*#__PURE__*/_react["default"].createElement(_material.DialogContentText, {
    id: "alert-dialog-description"
  }, "App is already open in another window. Close this window.", /*#__PURE__*/_react["default"].createElement("br", null), "(If you're sure it's not loaded in another window, click \"Force reload\")")), /*#__PURE__*/_react["default"].createElement(_material.DialogActions, null, /*#__PURE__*/_react["default"].createElement(_material.Button, {
    onClick: handleForceReload
  }, "FORCE RELOAD"))), !dialogOpen && children);
}